From 74a139213ff10b223b98c3b25d1917348631f2f7 Mon Sep 17 00:00:00 2001
From: Thomas Citharel <tcit@tcit.fr>
Date: Mon, 5 Aug 2024 18:39:09 +0200
Subject: [PATCH] [PATCH] Disable auto-updating apps during system upgrade

Signed-off-by: Thomas Citharel <tcit@tcit.fr>
---
 lib/private/Updater.php | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/lib/private/Updater.php b/lib/private/Updater.php
index 13fe9db52a6..177822558ab 100644
--- a/lib/private/Updater.php
+++ b/lib/private/Updater.php
@@ -272,11 +272,11 @@ class Updater extends BasicEmitter {
 		$appManager = \OC::$server->getAppManager();
 
 		// upgrade appstore apps
-		$this->upgradeAppStoreApps($appManager->getInstalledApps());
-		$autoDisabledApps = $appManager->getAutoDisabledApps();
-		if (!empty($autoDisabledApps)) {
-			$this->upgradeAppStoreApps(array_keys($autoDisabledApps), $autoDisabledApps);
-		}
+//		$this->upgradeAppStoreApps($appManager->getInstalledApps());
+//		$autoDisabledApps = $appManager->getAutoDisabledApps();
+//		if (!empty($autoDisabledApps)) {
+//			$this->upgradeAppStoreApps(array_keys($autoDisabledApps), $autoDisabledApps);
+//		}
 
 		// install new shipped apps on upgrade
 		$errors = Installer::installShippedApps(true);
--
2.45.2
